Omniplex Docs

Reports

These API endpoints let a user file a report against any votable entity

Get Report Stats

GET
/reports/stats

Returns anonymized counts of reports grouped by reason and status

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://spider.omniplex.gg/reports/stats'
Example Response
[  {    "count": 0,    "reason": "string",    "status": "string"  }]

Create Report

PUT
/users/{uid}/{target_type}/{target_id}/reports

Files a report against any votable entity. Returns 204 on success

Authorization

User
headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

uid*string

The reporting user's ID

target_type*string

The target type of the entity being reported

target_id*string

The ID of the entity being reported

Request Body

application/json
  1. body
description?string
reason?string
Value in"license_violation""tos_violation""spam""other"

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X PUT 'https://spider.omniplex.gg/users/string/string/string/reports' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}